---
description: "This endpoint initiates Noah's hosted session for customer account fund recovery."
title: "Customer Account Recovery Session"
---

# Customer Account Recovery Session

> This endpoint initiates Noah's hosted session for customer account fund recovery.

```http
POST /hosted-workflows/recovery
```

- `https://api.sandbox.noah.com/v1/hosted-workflows/recovery` — V1 Sandbox Server
- `https://api.noah.com/v1/hosted-workflows/recovery` — V1 Production Server

## Authentication

- `X-Api-Key`: Your Noah API key. Required on all requests. See [API Keys](/api-concepts/authentication/api).
- `Api-Signature`: Digitally signed JWT used to verify request authenticity. Optional in sandbox when your API key has no associated signing public key; required in production for all requests. If sent, the signature is always validated. See [Request Signing](/api-concepts/authentication/signing).

## Request body

### `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `CustomerID` | string | Yes | A unique ID which identifies the customer in the Business' internal system and in NOAH. (length 1-42) |
| `ReturnURL` | string (uri) | Yes | (length 10-1000) |
| `FiatOptions` | object[] | No | Restricts fiat channels available in this hosted session. |
| `FiatOptions[].FiatCurrencyCode` | string | Yes | Supported fiat ISO_4217 3 letter currency codes. |

## Responses

### 200 — HostedURL successfully created.

#### `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `HostedURL` | string (uri) | Yes | URL to redirect the customer to the hosted session. |

### 400 — Bad request

### 401 — Client is not authorized to perform this action

### 500 — Internal server error

Error responses share one `Error` envelope across the whole API. See https://docs.noah.com/api-concepts/errors.md for its fields, the `Type` values, and the field-level validation details in `RequestExtension` and `DenyExtension`.

## See also

- Rendered reference: https://docs.noah.com/api-reference/customer-account-recovery-session
- OpenAPI document: https://docs.noah.com/files/oas-schema.generated.json
